# Overhaul Maps:

A set of unique 8-player maps that tend to have fun gimmicks and dynamic elements that encourage map-centric play.

Additional information like the Changelog are in tabs above.

## It is recommended that you reduce the screen shake settings by going to Mods -> Performance Improvements -> Miscellaneous and reducing the screen shake strength value from 100 to ~10. The overhead light shake and chromatic aberrations can also be disabled if desired.

## You can also simply just turn on the settings of the ToggleEffects mod. If they are not already enabled.

# Current Maps:
#### Adds 69 maps

(Note: liquids, black boxes, some ropes, and other things may not appear properly on the map images)

### Orbitals

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Orbitals.png?raw=true" alt="Orbitals Map Image" width="500"/>

A low gravity map with a rotating hazard in the center.

### Serpentine

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Serpentine.png?raw=true" alt="Serpentine Map Image" width="500"/>

A snaked-shaped map that periodically moves. Stay on safe ground or jump up to avoid damage when the snake recoils.

### Cyclic

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Cyclic.png?raw=true" alt="Cyclic Map Image" width="500"/>

A map with a large saw running through the center at set intervals. Get to safety when it arrives.

### Oscillating

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Oscillating.jpg?raw=true" alt="Oscillating Map Image" width="500"/>

A illusionary and mystical map with two moving platforms and many spinning orbs.

### Balance

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Balance.png?raw=true" alt="Balance Map Image" width="500"/>

A map consisting of two scales that sway back and forth. Use your bullets on the platforms to affect their balance.

### Lurch

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Lurch.png?raw=true" alt="Lurch Map Image" width="500"/>

A map consisting of a box with saws occasionally rushing across the map back and forth. Stay out of its way.

### Overhaul

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Overhaul.jpg?raw=true" alt="Overhaul Map Image" width="500"/>

A small map that is themed around the mod's logo with the phrase "OVERHAUL MAPS" spelled out using sprites relevant to the mod.

### Broadside

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Broadside.png?raw=true" alt="Broadside Map Image" width="500"/>

A water map consisting of small boats, cannons, and sea mines. Shoot the cannons and sea mines to wreak havok, or shoot your boat to move it away.

### Probability

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Probability.png?raw=true" alt="Probability Map Image" width="500"/>

A map built like a plinko board. Saws will fall down the map and reappear at the top again.

### Magmatic

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Magmatic.png?raw=true" alt="Magmatic Map Image" width="500"/>

A map with a central volcano that constantly spews molten rock. Getting hit will set you on fire.

### Nostalgia 

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Nostalgia.png?raw=true" alt="Nostalgia Map Image" width="500"/>

A retro style map that takes place in some sort of construction site with blazing rolling barrels constantly falling and parts of the map on fire. OSHA will not be happy.

### Elementary

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Elementary.png?raw=true" alt="Elementary Map Image" width="500"/>

A relatively simple map with 4 themed sections that each utilize the distinct elements of water, lava, acid, and space.

### Sinkhole

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Sinkhole.png?raw=true" alt="Sinkhole Map Image" width="500"/>

A (new and improved) map that is slowly sinking into the map boundary. Win the round before there's no where left to stand.

### Flip Flop

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/FlipFlop.png?raw=true" alt="Flip Flop Map Image" width="500"/>

A simple map with spinning platforms.

### Wipeout

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Wipeout.png?raw=trueg" alt="Wipeout Map Image" width="500"/>

A simple map with shrinking spinning blocks. 

### Galleons

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Galleons.png?raw=true" alt="Galleons Map Image" width="500"/>

A water map with two barely-held-together ships.

### Trenches

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Trenches.png?raw=true" alt="Trenches Map Image" width="500"/>

A map in which you must break the terrain to make a path to your opponents.

### Pneumatic

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Pneumatic.jpg?raw=true" alt="Pneumatic Map Image" width="500"/>

A segmented map connected with hyper tubes that quickly transport you.

### Pinballin'

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/PinballMachine.png?raw=true" alt="Pinballin' Map Image" width="500"/>

A map based around a malfuctioning pinball machine that launches balls around the map.

### Recursion

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Recursion.jpg?raw=true" alt="Recursion Map Image" width="500"/>

A map with repeating elements. A map with repeating elements. A map with repeating elements.

### Revolution

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Revolution.png?raw=true" alt="Revolution Map Image" width="500"/>

A map with two ferris-wheel-esque contraptions to play around.

### Enginery

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Enginery.png?raw=true" alt="Enginery Map Image" width="500"/>

A complex map with moving saws and a platform that can be dropped onto moving blocks in order to cause chaos.

### Coalesce

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Coalesce.png?raw=true" alt="Coalesce Map Image" width="500"/>

A map with moving platforms and saws that separate and then come together again.

### Weave

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Weave.jpg?raw=true" alt="Weave Map Image" width="500"/>

A map with fast saws that swing by from off screen at regular intervals.

### Division

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Division.png?raw=true" alt="Division Map Image" width="500"/>

A map with moving blocks ready to crush you if you make the wrong move.

### As Above

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/AsAbove.png?raw=true" alt="As Above Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be destroyed, causing people to fall to their death.

### So Below

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/SoBelow.png?raw=true" alt="So Below Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be dropped onto shallow water. Slipping off the fallen platforms could be deadly.

### Miniature

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Miniature.png?raw=true" alt="Miniature Map Image" width="500"/>

A mini golf themed map with flying golf balls, a miniature windmill hazard, a golf cart, and a golf club.

### Flipside

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Flipside.png?raw=true" alt="Flipside Map Image" width="500"/>

A map with two sides: blocks will blink in and out of existence every 3 seconds to match the current side.

### Falling Down

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/FallingDown.jpg?raw=true" alt="Falling Down Map Image" width="500"/>

A map consisting of several vertical platforms slowly falling down and reappearing at the top. You must constantly climb upwards as you fight.

### Rising Up

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/RisingUp.png?raw=true" alt="Rising Up Map Image" width="500"/>

A map consisting of several horizontal platforms slowly rising up and reappearing at the bottom. You must constantly drop down as you fight.

### Pipe Dream

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/PipeDream.jpg?raw=true" alt="Pipe Dream Map Image" width="500"/>

A map consisting of several pipes that constantly move left as more appear from the right. Weave between the pipes like some bird.

### Rotational

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Rotational.jpg?raw=true" alt="Rotational Map Image" width="500"/>

A map inside a box that rotates round and round.

### Origins

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Origins.jpg?raw=true" alt="Origins Map Image" width="500"/>

An old-school map consisting of a ping pong match in which you must dodge the ball as points are scored. The map resets when 3 points are earned.

### Title

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Title.png?raw=true" alt="Title Map Image" width="500"/>

A map themed around ROUNDS' title screen. Thank you for 100k downloads!

### No Internet

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/NoInternet.png?raw=true" alt="No Internet Map Image" width="500"/>

A prehistoric map with dinosaurs and cacti slowly moving across the screen. Make sure you're not having a connection error.

### Ghastly

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Ghastly.png?raw=true" alt="Ghastly Map Image" width="500"/>

Another old school map that takes place in a blue maze with colored ghosts (saws) and fruit.

### Tic Tac Toe

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/TicTacToe.png?raw=true" alt="Tic Tac Toe Map Image" width="500"/>

A simple map that perpetually plays out a game of Tic Tac Toe.

### Poltergeist

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Poltergeist.jpg?raw=true" alt="Poltergeist Map Image" width="500"/>

A map consisting of various ghosts that fade in and out of view.

### Celestial

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Celestial.png?raw=true" alt="Celestial Map Image" width="500"/>

A map from another world of frozen peaks and haunted hotels - just in time for Overhaulloween!

### Emulation

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Emulation.jpg?raw=true" alt="Emulation Map Image" width="500"/>

A map centered around a busted old TV.

### Down Under

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/DownUnder.png?raw=true" alt="Down Under Map Image" width="500"/>

An upside-down map themed around (you guessed it) Australia.

### Antechamber

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Antechamber.jpg?raw=true" alt="Antechamber Map Image" width="500"/>

A large map in which players must constantly move through different themed chambers to avoid a large slow-moving saw. Done partially in collaboration with Loopy, creator of Loopys MapPack. I made the base concept, they added some components, and then I polished it off.

### Herpetology

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Herpetology.jpg?raw=true" alt="Down Under Map Image" width="500"/>

A large map with elements of an old game of Snake. Players primarily traverse a large moving "snake".

### Homestead

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Homestead.jpg?raw=true" alt="Homestead Map Image" width="1000"/>

A roaming map (camera is smaller and follows character) in which players explore and fight in a rural property with a few buildings and trees.

### Ruins

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Ruins.jpg?raw=true" alt="Ruins Map Image" width="1000"/>

A roaming map with various statues and crumbling structures.

### Locomotive

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Locomotive.jpg?raw=true" alt="Locomotive Map Image" width="1000"/>

A roaming map that is set on a train with unique train cars.

### Laboratory

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Laboratory.jpg?raw=true" alt="Laboratory Map Image" width="1000"/>

A roaming map set in a lab of a mad scientist with a functioning teleporter. Just stand still on the teleporting block to warp.

### Brickwork

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/HolyMountain.jpg?raw=true" alt="Brickwork Map Image" width="1000"/>

A roaming map that almost perfectly replicates the Holy Mountain from Noita using the new MapImageObjects mod.

### Aethereal

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Aethereal.jpg?raw=true" alt="Aethereal Map Image" width="500"/>

A small arena surrounded by water from Rivals of Aether.

### Arachnophobia

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Arachnophobia.jpg?raw=true" alt="Arachnophobia Map Image" width="500"/>

A dark sci-fi arena from Spiderheck.

### Cavernous

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Cavernous.jpg?raw=true" alt="Cavernous Map Image" width="500"/>

Dangerous winding caves from Spelunky 2.

### Entomology

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Entomology.jpg?raw=true" alt="Entomology Map Image" width="1000"/>

A roaming map featuring the dark passageways of Hollow Knight.

### Geometric

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Geometric.jpg?raw=true" alt="Geometric Map Image" width="500"/>

A basic open geometric map from Geometry Dash.

### Improvisation

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Improvisation.jpg?raw=true" alt="Improvisation Map Image" width="500"/>

A slightly modified stage from Mosa Lina.

### Inspired

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Inspired.jpg?raw=true" alt="Inspired Map Image" width="500"/>

A tactical card battle from Slay the Spire.

### Kaleidoscopic

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Kaleidoscopic.jpg?raw=true" alt="Kaleidoscopic Map Image" width="500"/>

A slightly modified room from Hue.

### Last Resort

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/LastResort.jpg?raw=true" alt="Last Resort Map Image" width="500"/>

Another Celeste themed map featuring alternating blue and pink blocks.

### Monsoon

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Monsoon.jpg?raw=true" alt="Monsoon Map Image" width="500"/>

A modified environment from Rain World. Use the crates to get out of the green depths and manuever off the moving batflies.

### Necrosis

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Necrosis.jpg?raw=true" alt="Necrosis Map Image" width="500"/>

A slightly smaller stage from Dead Cells.

### Progenitor

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Progenitor.jpg?raw=true" alt="Progenitor Map Image" width="500"/>

A more open map themed around Stick Fight.

### Purple Rain

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/PurpleRain.jpg?raw=true" alt="Purple Rain Map Image" width="500"/>

A map featuring floating meadows from Risk of Rain Returns.

### Quackrobatics

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Quackrobatics.jpg?raw=true" alt="Quackrobatics Map Image" width="500"/>

A map featuring a destructive battlefield from Duck Game.

### Romantik

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Romantik.jpg?raw=true" alt="Romantik Map Image" width="500"/>

A slightly modified version of the mines of Dome Keeper.

### Styxian

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Styxian.jpg?raw=true" alt="Styxian Map Image" width="500"/>

A map featuring the fiery underworld of Terraria alongside a familiar face that slowly reveals itself from offscreen.

### Terrafic

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Terrafic.jpg?raw=true" alt="Terrafic Map Image" width="500"/>

A slightly modified version of Terraria's box art.

### Underwhelm

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Underwhelm.jpg?raw=true" alt="Underwhelm Map Image" width="300"/>

A thin but tall map from Downwell.

### Vendetta

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Vendetta.jpg?raw=true" alt="Vendetta Map Image" width="500"/>

A map with moving obstacles that can be to your benefit or detriment from VVVVVV.

### Zuology

<img src="https://github.com/Ssencipe/Overhaul_Maps/blob/main/Image/Zuology.jpg?raw=true" alt="Zuology Map Image" width="500"/>

A simple map that could be hiding many unseen sides from Fez.


---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding). 
